commit:     10c6edaca58536a55023a05972b0a2e7d6817e18
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Fri Jan 28 17:34:48 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sun Apr 10 15:12:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10c6edac

dev-java/byte-buddy-agent: new package

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-java/byte-buddy-agent/Manifest                 |  2 +
 .../byte-buddy-agent-1.12.8.ebuild                 | 87 ++++++++++++++++++++++
 dev-java/byte-buddy-agent/metadata.xml             | 10 +++
 3 files changed, 99 insertions(+)

diff --git a/dev-java/byte-buddy-agent/Manifest 
b/dev-java/byte-buddy-agent/Manifest
new file mode 100644
index 000000000000..56b0c9374b37
--- /dev/null
+++ b/dev-java/byte-buddy-agent/Manifest
@@ -0,0 +1,2 @@
+DIST byte-buddy-1.12.8.tar.gz 149928045 BLAKE2B 
f1fceaea236a7d625739547556cd3775629250ab0cf6ead0643002895d432f06b84bdf193de3d4aa88de8cfdd3ff38a4aa1340076be918c0e5e0c217072cb8e0
 SHA512 
dffe3f557d29b9c0ac16e8314e2a1fc2b089bda000d5c1307ad2d8808f149f3bef90daa0f8dcc9815d255fc11824b28708b6fddfe942ea8f24ca61f9ea73a1d9
+DIST byte-buddy-agent-1.12.8-sources.jar 204430 BLAKE2B 
fe62b36fccc1000b63cf4fdc9a0eda0b767baedbb795ed55d28068ca9bd01f10b47e28edb2ee2d0fccd28e82f531f882091386b9c58f2ca929e17e89f996876a
 SHA512 
576cad5aec60bb1623faf6f2460e9550aab392124579a0ed467128c3cdbc20fb0c4e51dfaa8d56c8f2f314bcc494068aae5c199a0551cbfce053633a2ffb5bd2

diff --git a/dev-java/byte-buddy-agent/byte-buddy-agent-1.12.8.ebuild 
b/dev-java/byte-buddy-agent/byte-buddy-agent-1.12.8.ebuild
new file mode 100644
index 000000000000..050af69691a8
--- /dev/null
+++ b/dev-java/byte-buddy-agent/byte-buddy-agent-1.12.8.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom 
byte-buddy-agent-1.12.8.pom --download-uri 
https://repo1.maven.org/maven2/net/bytebuddy/byte-buddy-agent/1.12.8/byte-buddy-agent-1.12.8-sources.jar
 --slot 0 --keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild 
byte-buddy-agent-1.12.8.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="net.bytebuddy:byte-buddy-agent:1.12.8"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Offers convenience for attaching an agent to the local or a 
remote VM"
+HOMEPAGE="https://bytebuddy.net/";
+SRC_URI="https://repo1.maven.org/maven2/net/bytebuddy/${PN}/${PV}/${P}-sources.jar
+       test? ( 
https://codeload.github.com/raphw/byte-buddy/tar.gz/byte-buddy-1.12.8 -> 
byte-buddy-${PV}.tar.gz )"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+# Compile dependencies
+# POM: ${P}.pom
+# com.google.code.findbugs:findbugs-annotations:3.0.1 -> 
>=dev-java/findbugs-annotations-3.0.1:0
+# com.google.code.findbugs:jsr305:3.0.2 -> >=dev-java/jsr305-3.0.2:0
+# net.java.dev.jna:jna:5.8.0 -> >=dev-java/jna-5.10.0:4
+# net.java.dev.jna:jna-platform:5.8.0 -> !!!artifactId-not-found!!!
+
+DEPEND="
+       >=virtual/jdk-1.8:*
+       dev-java/findbugs-annotations:0
+       dev-java/jna:4
+       test? ( dev-java/mockito:4 )
+"
+
+RDEPEND="
+       >=virtual/jre-1.8:*
+"
+
+BDEPEND="app-arch/unzip"
+
+S="${WORKDIR}"
+
+JAVA_CLASSPATH_EXTRA="findbugs-annotations,jna-4"
+JAVA_SRC_DIR="src/main/java"
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4,mockito-4"
+JAVA_TEST_SRC_DIR="src/test/java"
+
+# 1) testSystemProperties(net.bytebuddy.agent.VirtualMachineAttachmentTest)
+# java.lang.reflect.InvocationTargetException
+# --
+# Caused by: java.lang.UnsatisfiedLinkError: Native library 
(com/sun/jna/linux-x86-64/libjnidispatch.so) not found in resource path 
(target/test-classes:byte-buddy-agent.jar:/usr/share/findbugs-annotations/lib/findbugs-annotations.jar:/usr/share/jna-4/lib/jna.jar:/usr/share/jna-4/lib/jna-platform.jar:/usr/share/jsr305/lib/jsr305.jar:/usr/share/junit-4/lib/junit.jar:/usr/share/mockito-4/lib/mockito.jar:/usr/share/hamcrest-core-1.3/lib/hamcrest-core.jar:/usr/share/byte-buddy/lib/byte-buddy.jar:/usr/share/byte-buddy-agent/lib/byte-buddy-agent.jar:/usr/share/objenesis/lib/objenesis.jar:/usr/share/opentest4j/lib/opentest4j.jar:/usr/share/junit-4/lib/junit.jar:/usr/share/hamcrest-core-1.3/lib/hamcrest-core.jar)
+#         at 
com.sun.jna.Native.loadNativeDispatchLibraryFromClasspath(Native.java:1059)
+# --
+# 2) testAgentProperties(net.bytebuddy.agent.VirtualMachineAttachmentTest)
+# java.lang.reflect.InvocationTargetException
+# --
+# Caused by: java.lang.NoClassDefFoundError: Could not initialize class 
com.sun.jna.Native
+#         at 
net.bytebuddy.agent.VirtualMachine$ForHotSpot$Connection$ForJnaPosixSocket$Factory.<init>(VirtualMachine.java:879)
+# --
+# 3) testMultipleProperties(net.bytebuddy.agent.VirtualMachineAttachmentTest)
+# java.lang.reflect.InvocationTargetException
+# --
+# Caused by: java.lang.NoClassDefFoundError: Could not initialize class 
com.sun.jna.Native
+#         at 
net.bytebuddy.agent.VirtualMachine$ForHotSpot$Connection$ForJnaPosixSocket$Factory.<init>(VirtualMachine.java:879)
+# --
+# 4) testAttachment(net.bytebuddy.agent.VirtualMachineAttachmentTest)
+# java.lang.reflect.InvocationTargetException
+# --
+# Caused by: java.lang.NoClassDefFoundError: Could not initialize class 
com.sun.jna.Native
+#         at 
net.bytebuddy.agent.VirtualMachine$ForHotSpot$Connection$ForJnaPosixSocket$Factory.<init>(VirtualMachine.java:879)
+# --
+# FAILURES!!!
+# Tests run: 51,  Failures: 4
+JAVA_TEST_EXCLUDES="net.bytebuddy.agent.VirtualMachineAttachmentTest"
+
+src_prepare() {
+       default
+       mkdir -p "src/main/java" || die
+       mv "net" "src/main/java" || die
+       if use test; then
+               mv "byte-buddy-byte-buddy-${PV}/byte-buddy-agent/src/test" 
"src" || die
+       fi
+}

diff --git a/dev-java/byte-buddy-agent/metadata.xml 
b/dev-java/byte-buddy-agent/metadata.xml
new file mode 100644
index 000000000000..02d6cbf56ced
--- /dev/null
+++ b/dev-java/byte-buddy-agent/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">raphw/byte-buddy</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to